var
k,s,d,n,m,q,i,t:longint;
begin
t:=1;
s:=1;
assign(input,'D.in'); reset(input);
assign(output,'D.out');rewrite(output);
readln(n,m,q);
i:=n-m;
for k:=1 to i do
begin
t:=t*n;
n:=n-1;
s:=s*k;
end;
d:=t div s;
writeln(round((round(d/q))/m));
close(input);
close(output);
end.